%{?python_enable_dependency_generator}
%global realname parsedatetime

%bcond_without tests

Summary:        Parse human-readable date/time strings in Python
Name:           python-%{realname}
Version:        2.6
Release:        3%{?dist}

License:        ASL 2.0
URL:            https://github.com/bear/%{realname}
Source0:        https://github.com/bear/%{realname}/archive/v%{version}.tar.gz#/%{realname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with tests}
BuildRequires:  python3-pytest
%endif

%description
parsedatetime is a python module that can parse human-readable date/time\
strings.


%package -n python3-%{realname}
Summary:        Parse human-readable date/time strings in Python
Provides: python3-parsedatetime

%description -n python3-%{realname}
parsedatetime is a python module that can parse human-readable date/time
strings.

%prep
%autosetup -n %{realname}-%{version}


%build
%py3_build


%install
%py3_install
# It makes no sense to ship all these tests in the package
# just use them during the build
rm -rf %{buildroot}%{python3_sitelib}/%{realname}/tests

%check
%if %{with tests}
py.test-3 -x tests/*.py
%endif

%files -n python3-%{realname}
%license LICENSE.txt
%doc AUTHORS.txt CHANGES.txt README.rst
%{python3_sitelib}/%{realname}
%{python3_sitelib}/%{realname}*.egg-info

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 29 2023 Yi Lin <nilusyi@tencent.com> - 2.6-1
- package init.
